/*
Copyright (C) 2009

This file is part of the NN applet
written by Max Bügler
http://www.maxbuegler.eu/

NN applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

NN applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
package Space;

import java.awt.*;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Dec 11, 2009
 * Time: 11:14:22 AM
 */
public class Label {
    private int[] p;
    private String text;
    private Color col;

    public Label(int[] p, String text, Color col) {
        this.p = p;
        this.text = text;
        this.col = col;
    }

    public Color getCol() {
        return col;
    }

    public int[] getP() {
        return p;
    }

    public String getText() {
        return text;
    }
}
