/*
Copyright (C) 2009

This file is part of the NN applet
written by Max Bügler
http://www.maxbuegler.eu/

NN applet is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 2, or (at your option) any
later version.

NN applet is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/
import javax.swing.*;
import java.awt.*;

/**
 * Author: Max Buegler - max@sarstech.com
 * Date: Dec 4, 2009
 * Time: 4:54:37 PM
 */
public class TextFrame extends JFrame {
    private JTextArea text;

    public TextFrame(String title){
        super(title);
        this.text = new JTextArea();
        super.setLayout(new BorderLayout());
        super.add(new JScrollPane(text,JScrollPane.VERTICAL_SCROLLBAR_ALWAYS,JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED),BorderLayout.CENTER);
        super.setSize(400,400);
    }
    public void setText(String text){
        this.text.setText(text);
    }

}
